Subject: Re: bug#78686: feature/igc: [PATCH] Make charset_table an exact root

From: Helmut Eller <[email-masked]>
Date: Fri, 06 Jun 2025 18:35:05 +0200

On Fri, Jun 06 2025, Pip Cet wrote:

[...]
>This fixes the problem of allocating BSS space.  This is the one problem
>that I've understood your patch to fix.  I'm not saying that there
>aren't other problems it fixes, and I'd like to understand what I'm
>missing here, but I cannot think of any.

There was nothing wrong with placing the charset table in the BSS
section, because the table hardly ever grows.

[...]
>> Yes.  Still not as good as my approach.
>
>I'm sorry, but can you try once more to point out what the advantage of
>your approach is?  I simply do not see it, and I'd like to understand.

- fewer pinned objects
- temacs and normal emacs are more similar

Helmut